Description

Il s'agit dans un premier temps d'automatiser le déroulement des différents scénarios décrits par Thomas dans le document de
calibration. =

Ecrire les scripts Python pour faire les différents changements de modes avec les durées correctes afin de couvrir les besoins en
données de Thomas pour ses scénarios.

UPDATE :
Ce topic devenant assez dense et comportant plusieurs tests, il est géré maintenant dans le sous-projet :
https://hephaistos.lpp.polytechnique.fr/redmine/projects/calibration-Ifr/issues

History

#1 - 12/02/2015 12:51 PM - bruno katra
- Status changed from New to In Progress

- % Done changed from 0 to 10

Semaines 50 de 2014 + semaines 4 et 5 de 2015 : plusieurs sessions avec et sans Paul pour comprendre comment utiliser les analog discovery
avec socexplorer.

Beaucoup de pbs liés a la réinstallation des paquets te la recompilation du nouveau SocExplorer+Plugins qui faisait que SocExplorer plantait.
Demande de modfis a Paul sur IfrControlPlugin (#315).

#2 - 12/02/2015 12:52 PM - bruno katra

11/02/2015 :
Ecriture d'un premier test (test01 sur pc-coillot dans VALIDATION_R2) qui genere différentes sinusoides sur B1 et enregistre les résultats dans des
fichiers distincts. Premiers tests OK. reste a renommer les fichiers a la volée avec les parametres dans le nom.

#3 - 16/02/2015 05:03 PM - bruno katra

Commencement écriture CTC-001 (Calibration Test Case 001) selon specifs TCH : générer 2 sinusoides sans phase aux 88 freq et enregistrer dans
des fichiers distincts + fichier SUMMARY avec les infos (nom/freq/phase/versions VHDL+FSW/COMMON PARAMS...)
Pb avec la récupération du nom des fichiers ) résoudre.

#4 - 17/02/2015 05:30 PM - bruno katra
- % Done changed from 10 to 20

CTC-001 : OK sauf reste a implémenter le départ sur trigger des signaux sur B1 et B2 + summary au format texte (actuellement uniquement en pdf et
odt).

#5 - 19/02/2015 05:38 PM - bruno katra

Départ sur trigger : OK

Summary au format txt : OK

Restait un probléme : il fallait repasser en STBY entre chaque acquisition pour vider les buffers de LFR et éviter d'avoir des BP2 avec plusieurs freq
dans ecrtains fichiers : OK

Livraison des résultats de CTC-001 a TCH :

Salut Thomas c'est bon ¢a a marché tu trouveras sur pc-instru dans ESPACES_PERSOS\katra\LFR-DATA\CTC-001 les résultats du tests i.e. les 88
fichiers *_record.data + les *_log.data associés + le rapport en pdf et odt + un fichier summary.txt qui contient le nom des fichiers avec la frequence et
phase associées.

A demain.

Bruno
https://hephaistos.lpp.polytechnique.fr/redmine/projects/calibration-lfr/issues
https://hephaistos.lpp.polytechnique.fr/redmine/issues/315

#6 - 20/02/2015 11:09 AM - bruno katra
- Description updated
- Status changed from In Progress to Closed

- % Done changed from 20 to 100
